stages:
  - add comments
  - build
  - test

build the car:
  stage: build
  script:
    - mkdir build
    - cd build
    - touch car.txt
    - echo "chassis" > car.txt
    - echo "engine" >> car.txt
    - echo "wheels" >> car.txt
    
  artifacts:
    paths:
      - build/

test the car:
  stage: test
  script:
    - ls
    - test -f build/car.txt
    - cd build
    - ls
    - cat car.txt
    - grep "chassis" car.txt
    - grep "engine" car.txt
    - grep "wheels" car.txt


add comments:
  stage: add comments
  image: bobswiftapps/acli

  variables:
    jiraCredentials: -u ${GITLAB_USER_EMAIL} -t NjM4NjM5MTIyNjI0OhY9n4pPGHbSHvSyGfW0fbtcaceG
    SecureKeyLocal: jira -s https://jira.securekey.com ${jiraCredentials}
    confluenceCredentials: -u ${GITLAB_USER_EMAIL} -t NjM4NjM5MTIyNjI0OhY9n4pPGHbSHvSyGfW0fbtcaceG
    SecureKeyLocalConfluence: confluence -s https://wiki.securekey.com ${confluenceCredentials}
    jiraCloudCredentials: "-u ${GITLAB_USER_EMAIL} -t ${BOBSWIFT}"
#    jiraCloudCredentials: "-u ${GITLAB_USER_EMAIL} -p ${GITLAB_USER_PASSWORD}"
    SecureKeyCloud: "jiracloud -s https://securekey.atlassian.net/ ${jiraCloudCredentials}"
    cloudJiraCase: RMT-1
    localJiraCase: JI-26
    localConfluencePage: tbd

  script:
    - ifconfig 
    - curl ifconfig.me
    - echo BOBSWIFT= ${BOBSWIFT} > variables.txt
    - echo CHAT_CHANNEL= ${CHAT_CHANNEL} >> variables.txt
    - echo CHAT_INPUT= ${CHAT_INPUT} >> variables.txt
    - echo CHAT_USER_ID= ${CHAT_USER_ID} >> variables.txt
    - echo CI= ${CI} >> variables.txt
    - echo CI_API_V4_URL= ${CI_API_V4_URL} >> variables.txt
    - echo CI_BUILDS_DIR= ${CI_BUILDS_DIR} >> variables.txt
    - echo CI_COMMIT_AUTHOR= ${CI_COMMIT_AUTHOR} >> variables.txt
    - echo CI_COMMIT_BEFORE_SHA= ${CI_COMMIT_BEFORE_SHA} >> variables.txt
    - echo CI_COMMIT_BRANCH= ${CI_COMMIT_BRANCH} >> variables.txt
    - echo CI_COMMIT_DESCRIPTION= ${CI_COMMIT_DESCRIPTION} >> variables.txt
    - echo CI_COMMIT_MESSAGE= ${CI_COMMIT_MESSAGE} >> variables.txt
    - echo CI_COMMIT_REF_NAME= ${CI_COMMIT_REF_NAME} >> variables.txt
    - echo CI_COMMIT_REF_PROTECTED= ${CI_COMMIT_REF_PROTECTED} >> variables.txt
    - echo CI_COMMIT_REF_SLUG= ${CI_COMMIT_REF_SLUG} >> variables.txt
    - echo CI_COMMIT_SHA= ${CI_COMMIT_SHA} >> variables.txt
    - echo CI_COMMIT_SHORT_SHA= ${CI_COMMIT_SHORT_SHA} >> variables.txt
    - echo CI_COMMIT_TAG= ${CI_COMMIT_TAG} >> variables.txt
    - echo CI_COMMIT_TIMESTAMP= ${CI_COMMIT_TIMESTAMP} >> variables.txt
    - echo CI_COMMIT_TITLE= ${CI_COMMIT_TITLE} >> variables.txt
    - echo CI_CONCURRENT_ID= ${CI_CONCURRENT_ID} >> variables.txt
    - echo CI_CONCURRENT_PROJECT_ID= ${CI_CONCURRENT_PROJECT_ID} >> variables.txt
    - echo CI_CONFIG_PATH= ${CI_CONFIG_PATH} >> variables.txt
    - echo CI_DEBUG_TRACE= ${CI_DEBUG_TRACE} >> variables.txt
    - echo CI_DEFAULT_BRANCH= ${CI_DEFAULT_BRANCH} >> variables.txt
    - echo CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX= ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX} >> variables.txt
    - echo CI_DEPENDENCY_PROXY_DIRECT_GROUP_IMAGE_PREFIX= ${CI_DEPENDENCY_PROXY_DIRECT_GROUP_IMAGE_PREFIX} >> variables.txt
    - echo CI_DEPENDENCY_PROXY_PASSWORD= ${CI_DEPENDENCY_PROXY_PASSWORD} >> variables.txt
    - echo CI_DEPENDENCY_PROXY_SERVER= ${CI_DEPENDENCY_PROXY_SERVER} >> variables.txt
    - echo CI_DEPENDENCY_PROXY_USER= ${CI_DEPENDENCY_PROXY_USER} >> variables.txt
    - echo CI_DEPLOY_FREEZE= ${CI_DEPLOY_FREEZE} >> variables.txt
    - echo CI_DEPLOY_PASSWORD= ${CI_DEPLOY_PASSWORD} >> variables.txt
    - echo CI_DEPLOY_USER= ${CI_DEPLOY_USER} >> variables.txt
    - echo CI_DISPOSABLE_ENVIRONMENT= ${CI_DISPOSABLE_ENVIRONMENT} >> variables.txt
    - echo CI_ENVIRONMENT_NAME= ${CI_ENVIRONMENT_NAME} >> variables.txt
    - echo CI_ENVIRONMENT_SLUG= ${CI_ENVIRONMENT_SLUG} >> variables.txt
    - echo CI_ENVIRONMENT_URL= ${CI_ENVIRONMENT_URL} >> variables.txt
    - echo CI_ENVIRONMENT_ACTION= ${CI_ENVIRONMENT_ACTION} >> variables.txt
    - echo CI_ENVIRONMENT_TIER= ${CI_ENVIRONMENT_TIER} >> variables.txt
    - echo CI_HAS_OPEN_REQUIREMENTS= ${CI_HAS_OPEN_REQUIREMENTS} >> variables.txt
    - echo CI_JOB_ID= ${CI_JOB_ID} >> variables.txt
    - echo CI_JOB_IMAGE= ${CI_JOB_IMAGE} >> variables.txt
    - echo CI_JOB_JWT= ${CI_JOB_JWT} >> variables.txt
    - echo CI_JOB_JWT_V1= ${CI_JOB_JWT_V1} >> variables.txt
    - echo CI_JOB_JWT_V2= ${CI_JOB_JWT_V2} >> variables.txt
    - echo CI_JOB_MANUAL= ${CI_JOB_MANUAL} >> variables.txt
    - echo CI_JOB_NAME= ${CI_JOB_NAME} >> variables.txt
    - echo CI_JOB_STAGE= ${CI_JOB_STAGE} >> variables.txt
    - echo CI_JOB_STATUS= ${CI_JOB_STATUS} >> variables.txt
    - echo CI_JOB_TOKEN= ${CI_JOB_TOKEN} >> variables.txt
    - echo CI_JOB_URL= ${CI_JOB_URL} >> variables.txt
    - echo CI_JOB_STARTED_AT= ${CI_JOB_STARTED_AT} >> variables.txt
    - echo CI_KUBERNETES_ACTIVE= ${CI_KUBERNETES_ACTIVE} >> variables.txt
    - echo CI_NODE_INDEX= ${CI_NODE_INDEX} >> variables.txt
    - echo CI_NODE_TOTAL= ${CI_NODE_TOTAL} >> variables.txt
    - echo CI_OPEN_MERGE_REQUESTS= ${CI_OPEN_MERGE_REQUESTS} >> variables.txt
    - echo CI_PAGES_DOMAIN= ${CI_PAGES_DOMAIN} >> variables.txt
    - echo CI_PAGES_URL= ${CI_PAGES_URL} >> variables.txt
    - echo CI_PIPELINE_ID= ${CI_PIPELINE_ID} >> variables.txt
    - echo CI_PIPELINE_IID= ${CI_PIPELINE_IID} >> variables.txt
    - echo CI_PIPELINE_SOURCE= ${CI_PIPELINE_SOURCE} >> variables.txt
    - echo CI_PIPELINE_TRIGGERED= ${CI_PIPELINE_TRIGGERED} >> variables.txt
    - echo CI_PIPELINE_URL= ${CI_PIPELINE_URL} >> variables.txt
    - echo CI_PIPELINE_CREATED_AT= ${CI_PIPELINE_CREATED_AT} >> variables.txt
    - echo CI_PROJECT_CONFIG_PATH= ${CI_PROJECT_CONFIG_PATH} >> variables.txt
    - echo CI_PROJECT_DIR= ${CI_PROJECT_DIR} >> variables.txt
    - echo CI_PROJECT_ID= ${CI_PROJECT_ID} >> variables.txt
    - echo CI_PROJECT_NAME= ${CI_PROJECT_NAME} >> variables.txt
    - echo CI_PROJECT_NAMESPACE= ${CI_PROJECT_NAMESPACE} >> variables.txt
    - echo CI_PROJECT_PATH_SLUG= ${CI_PROJECT_PATH_SLUG} >> variables.txt
    - echo CI_PROJECT_PATH= ${CI_PROJECT_PATH} >> variables.txt
    - echo CI_PROJECT_REPOSITORY_LANGUAGES= ${CI_PROJECT_REPOSITORY_LANGUAGES} >> variables.txt
    - echo CI_PROJECT_ROOT_NAMESPACE= ${CI_PROJECT_ROOT_NAMESPACE} >> variables.txt
    - echo CI_PROJECT_TITLE= ${CI_PROJECT_TITLE} >> variables.txt
    - echo CI_PROJECT_URL= ${CI_PROJECT_URL} >> variables.txt
    - echo CI_PROJECT_VISIBILITY= ${CI_PROJECT_VISIBILITY} >> variables.txt
    - echo CI_PROJECT_CLASSIFICATION_LABEL= ${CI_PROJECT_CLASSIFICATION_LABEL} >> variables.txt
    - echo CI_REGISTRY_IMAGE= ${CI_REGISTRY_IMAGE} >> variables.txt
    - echo CI_REGISTRY_PASSWORD= ${CI_REGISTRY_PASSWORD} >> variables.txt
    - echo CI_REGISTRY_USER= ${CI_REGISTRY_USER} >> variables.txt
    - echo CI_REGISTRY= ${CI_REGISTRY} >> variables.txt
    - echo CI_REPOSITORY_URL= ${CI_REPOSITORY_URL} >> variables.txt
    - echo CI_RUNNER_DESCRIPTION= ${CI_RUNNER_DESCRIPTION} >> variables.txt
    - echo CI_RUNNER_EXECUTABLE_ARCH= ${CI_RUNNER_EXECUTABLE_ARCH} >> variables.txt
    - echo CI_RUNNER_ID= ${CI_RUNNER_ID} >> variables.txt
    - echo CI_RUNNER_REVISION= ${CI_RUNNER_REVISION} >> variables.txt
    - echo CI_RUNNER_SHORT_TOKEN= ${CI_RUNNER_SHORT_TOKEN} >> variables.txt
    - echo CI_RUNNER_TAGS= ${CI_RUNNER_TAGS} >> variables.txt
    - echo CI_RUNNER_VERSION= ${CI_RUNNER_VERSION} >> variables.txt
    - echo CI_SERVER_HOST= ${CI_SERVER_HOST} >> variables.txt
    - echo CI_SERVER_NAME= ${CI_SERVER_NAME} >> variables.txt
    - echo CI_SERVER_PORT= ${CI_SERVER_PORT} >> variables.txt
    - echo CI_SERVER_PROTOCOL= ${CI_SERVER_PROTOCOL} >> variables.txt
    - echo CI_SERVER_REVISION= ${CI_SERVER_REVISION} >> variables.txt
    - echo CI_SERVER_URL= ${CI_SERVER_URL} >> variables.txt
    - echo CI_SERVER_VERSION_MAJOR= ${CI_SERVER_VERSION_MAJOR} >> variables.txt
    - echo CI_SERVER_VERSION_MINOR= ${CI_SERVER_VERSION_MINOR} >> variables.txt
    - echo CI_SERVER_VERSION_PATCH= ${CI_SERVER_VERSION_PATCH} >> variables.txt
    - echo CI_SERVER_VERSION= ${CI_SERVER_VERSION} >> variables.txt
    - echo CI_SERVER= ${CI_SERVER} >> variables.txt
    - echo CI_SHARED_ENVIRONMENT= ${CI_SHARED_ENVIRONMENT} >> variables.txt
    - echo GITLAB_CI= ${GITLAB_CI} >> variables.txt
    - echo GITLAB_FEATURES= ${GITLAB_FEATURES} >> variables.txt
    - echo GITLAB_USER_EMAIL= ${GITLAB_USER_EMAIL} >> variables.txt
    - echo GITLAB_USER_ID= ${GITLAB_USER_ID} >> variables.txt
    - echo GITLAB_USER_LOGIN= ${GITLAB_USER_LOGIN} >> variables.txt
    - echo GITLAB_USER_NAME= ${GITLAB_USER_NAME} >> variables.txt
    - echo TRIGGER_PAYLOAD= ${TRIGGER_PAYLOAD} >> variables.txt
    - echo "--------------------------------------------------------------------------------"  >> variables.txt
    - echo "Merge Variables"  >> variables.txt
    - echo "--------------------------------------------------------------------------------"  >> variables.txt
    - echo CI_MERGE_REQUEST_APPROVED= ${CI_MERGE_REQUEST_APPROVED} >> variables.txt
    - echo CI_MERGE_REQUEST_ASSIGNEES= ${CI_MERGE_REQUEST_ASSIGNEES} >> variables.txt
    - echo CI_MERGE_REQUEST_ID= ${CI_MERGE_REQUEST_ID} >> variables.txt
    - echo CI_MERGE_REQUEST_IID= ${CI_MERGE_REQUEST_IID} >> variables.txt
    - echo CI_MERGE_REQUEST_LABELS= ${CI_MERGE_REQUEST_LABELS} >> variables.txt
    - echo CI_MERGE_REQUEST_MILESTONE= ${CI_MERGE_REQUEST_MILESTONE} >> variables.txt
    - echo CI_MERGE_REQUEST_PROJECT_ID= ${CI_MERGE_REQUEST_PROJECT_ID} >> variables.txt
    - echo CI_MERGE_REQUEST_PROJECT_PATH= ${CI_MERGE_REQUEST_PROJECT_PATH} >> variables.txt
    - echo CI_MERGE_REQUEST_PROJECT_URL= ${CI_MERGE_REQUEST_PROJECT_URL} >> variables.txt
    - echo CI_MERGE_REQUEST_REF_PATH= ${CI_MERGE_REQUEST_REF_PATH} >> variables.txt
    - echo CI_MERGE_REQUEST_SOURCE_BRANCH_NAME= ${CI_MERGE_REQUEST_SOURCE_BRANCH_NAME} >> variables.txt
    - echo CI_MERGE_REQUEST_SOURCE_BRANCH_SHA= ${CI_MERGE_REQUEST_SOURCE_BRANCH_SHA} >> variables.txt
    - echo CI_MERGE_REQUEST_SOURCE_PROJECT_ID= ${CI_MERGE_REQUEST_SOURCE_PROJECT_ID} >> variables.txt
    - echo CI_MERGE_REQUEST_SOURCE_PROJECT_PATH= ${CI_MERGE_REQUEST_SOURCE_PROJECT_PATH} >> variables.txt
    - echo CI_MERGE_REQUEST_SOURCE_PROJECT_URL= ${CI_MERGE_REQUEST_SOURCE_PROJECT_URL} >> variables.txt
    - echo CI_MERGE_REQUEST_TARGET_BRANCH_NAME= ${CI_MERGE_REQUEST_TARGET_BRANCH_NAME} >> variables.txt
    - echo CI_MERGE_REQUEST_TARGET_BRANCH_SHA= ${CI_MERGE_REQUEST_TARGET_BRANCH_SHA} >> variables.txt
    - echo CI_MERGE_REQUEST_TITLE= ${CI_MERGE_REQUEST_TITLE} >> variables.txt
    - echo CI_MERGE_REQUEST_EVENT_TYPE= ${CI_MERGE_REQUEST_EVENT_TYPE} >> variables.txt
    - echo CI_MERGE_REQUEST_DIFF_ID= ${CI_MERGE_REQUEST_DIFF_ID} >> variables.txt
    - echo CI_MERGE_REQUEST_DIFF_BASE_SHA= ${CI_MERGE_REQUEST_DIFF_BASE_SHA} >> variables.txt
    - echo "--------------------------------------------------------------------------------"  >> variables.txt
    - echo "Pull Variables" >> variables.txt
    - echo "--------------------------------------------------------------------------------"  >> variables.txt
    - echo CI_EXTERNAL_PULL_REQUEST_IID= ${CI_EXTERNAL_PULL_REQUEST_IID} >> variables.txt
    - echo CI_EXTERNAL_PULL_REQUEST_SOURCE_REPOSITORY= ${CI_EXTERNAL_PULL_REQUEST_SOURCE_REPOSITORY} >> variables.txt
    - echo CI_EXTERNAL_PULL_REQUEST_TARGET_REPOSITORY= ${CI_EXTERNAL_PULL_REQUEST_TARGET_REPOSITORY} >> variables.txt
    - echo CI_EXTERNAL_PULL_REQUEST_SOURCE_BRANCH_NAME= ${CI_EXTERNAL_PULL_REQUEST_SOURCE_BRANCH_NAME} >> variables.txt
    - echo CI_EXTERNAL_PULL_REQUEST_SOURCE_BRANCH_SHA= ${CI_EXTERNAL_PULL_REQUEST_SOURCE_BRANCH_SHA} >> variables.txt
    - echo CI_EXTERNAL_PULL_REQUEST_TARGET_BRANCH_NAME= ${CI_EXTERNAL_PULL_REQUEST_TARGET_BRANCH_NAME} >> variables.txt
    - echo CI_EXTERNAL_PULL_REQUEST_TARGET_BRANCH_SHA= ${CI_EXTERNAL_PULL_REQUEST_TARGET_BRANCH_SHA} >> variables.txt
    - echo "--------------------------------------------------------------------------------" 
    - acli -a getClientInfo
#    - ping jira.securekey.com
    - echo "Jira Cloud comment on build"
    - acli ${SecureKeyCloud} --action addComment --issue ${cloudJiraCase} --comment "comment from gitlab to cloud $CI_COMMIT_SHORT_SHA"
    - echo "Add attachment"
    - acli ${SecureKeyCloud} --action addAttachment --issue ${cloudJiraCase} --file variables.txt
    - echo "Add attachment"
    - echo "--------------------------------------------------------------------------------" 
    - echo "Jira local comment on build"
    - acli ${SecureKeyLocal} --action addComment --issue ${localJiraCase} --comment "comment from gitlab to cloud $CI_COMMIT_SHORT_SHA"
    - acli ${SecureKeyLocal} --action addAttachment --issue ${localJiraCase} --file variables.txt
    - echo "Attachment added"
    
